zenilib: ITfThreadMgrVtbl Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
ITfThreadMgrVtbl Struct Reference

`#include <SDL_msctf.h>`

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfThreadMgr *
| HRESULT (STDMETHODCALLTYPE *Activate)(ITfThreadMgr *
TfClientId * | HRESULT (STDMETHODCALLTYPE *Deactivate)(ITfThreadMgr *)
| HRESULT (STDMETHODCALLTYPE *CreateDocumentMgr)(ITfThreadMgr *)
| HRESULT (STDMETHODCALLTYPE *EnumDocumentMgrs)(ITfThreadMgr *
IEnumTfDocumentMgrs ** | HRESULT (STDMETHODCALLTYPE *GetFocus)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ** | HRESULT (STDMETHODCALLTYPE *SetFocus)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr * | HRESULT (STDMETHODCALLTYPE *AssociateFocus)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ** | HRESULT (STDMETHODCALLTYPE *IsThreadFocus)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL * | HRESULT (STDMETHODCALLTYPE *GetFunctionProvider)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider ** | HRESULT (STDMETHODCALLTYPE *EnumFunctionProviders)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders ** | HRESULT (STDMETHODCALLTYPE *GetGlobalCompartment)(ITfThreadMgr *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfThreadMgr *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfThreadMgr *)

## Public Attributes

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr | HWND
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL | REFCLSID
| REFIID

## Detailed Description

Definition at line 33 of file SDL_msctf.h.

## Member Function Documentation

ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Activate | ) |

TfClientId* ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Deactivate | ) |

ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | CreateDocumentMgr | ) |

ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumDocumentMgrs | ) |

IEnumTfDocumentMgrs** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetFocus | ) |

IEnumTfDocumentMgrs ITfDocumentMgr** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | SetFocus | ) |

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr* ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | AssociateFocus | ) |

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | IsThreadFocus | ) |

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL* ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetFunctionProvider | ) |

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumFunctionProviders | ) |

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetGlobalCompartment | ) |

void** ITfThreadMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

ITfThreadMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Member Data Documentation

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfThreadMgrVtbl::HWND

Definition at line 44 of file SDL_msctf.h.

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfThreadMgrVtbl::REFCLSID

Definition at line 46 of file SDL_msctf.h.

ITfThreadMgrVtbl::REFIID

Definition at line 35 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/sdl/src/video/windows/SDL_msctf.h